apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.26.0 (40646f47)
  creationTimestamp: null
  labels:
    io.kompose.service: kanboard
  name: kanboard
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: kanboard
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.26.0 (40646f47)
      creationTimestamp: null
      labels:
        io.kompose.service: kanboard
    spec:
      containers:
        - env:
            - name: DATABASE_URL
              value: mysql://kanboard:kanboard-secret@db/kanboard
          image: kanboard/kanboard:latest
          name: kanboard
          ports:
            - containerPort: 80
            - containerPort: 443
          resources: {}
          volumeMounts:
            - mountPath: /var/www/app/data
              name: kanboard-data
            - mountPath: /var/www/app/plugins
              name: kanboard-plugins
            - mountPath: /etc/nginx/ssl
              name: kanboard-ssl
      restartPolicy: Always
      volumes:
        - name: kanboard-data
          persistentVolumeClaim:
            claimName: kanboard-data
        - name: kanboard-plugins
          persistentVolumeClaim:
            claimName: kanboard-plugins
        - name: kanboard-ssl
          persistentVolumeClaim:
            claimName: kanboard-ssl
status: {}
